Billing & Automation
php7

PHP7 and CentOS 7 Support

A long-awaited PHP7 support is finally here! Read more about HostBill PHP support.

Finally, support for PHP7 has been added to IonCube loaders, so after some short testing of platform and its plugins, we’re happy to announce that HostBill now supports PHP7. Before you’ll jump into updating your server, make sure that:

  • You’ve downloaded valid HostBill/plugin zip files for PHP 7 from our client portal
  • You also have downloaded latest IonCube loaders from http://www.ioncube.com/loaders.php
  • You are prepared for HostBill pages load speed boost

More on PHP versions / Minimum HostBill requirements

If you’ll check PHP Supported Versions page (http://php.net/supported-versions.php), you’ll notice that PHP 5.5 and lower are currently End Of Life. This means that makers of PHP will no longer provide patches and security fixes for it – you should update your server’s PHP to 5.6 or 7.0 as soon as possible.

Since some of our customers still use those versions, HostBill will support PHP 5.4 and 5.5 till the end of 2016.

This also means that PHP 5.6 is now minimum version required to install HostBill

CentOS 7

HostBill Enterprise platform users have access to easy install script – a bash one-liner that downloads and installs all required system dependencies, HostBill core files and plugins.

Up until now this script required CentOS 6.x 64bits, but since this version is also slowly reaching its End-Of-Life we’ve decided to extend supported versions coverage. Now you can use easy install on both CentOs 6.x and 7.x !

More on HostBill system requirements:
https://hostbill.atlassian.net/wiki/display/DOCS/System+requirements

Leave a Reply